package bll

import (
	"context"
	"yx-dataset-server/app/schema"
)

// ILoginHistory LoginHistory业务逻辑接口
type ILoginHistory interface {
	// 查询数据
	Query(ctx context.Context, params schema.LoginHistoryQueryParam, opts ...schema.LoginHistoryQueryOptions) (*schema.LoginHistoryQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.LoginHistoryQueryOptions) (*schema.LoginHistory, error)
	// 创建数据
	Create(ctx context.Context, item schema.LoginHistory) (*schema.LoginHistory, error)
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.LoginHistory) error
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
}
